Put Settings
curl --request PUT \
--url https://api.example.com/v2/kyb/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website_analysis_enabled": true,
"naics_prediction_enabled": true,
"lien_search_enabled": true,
"monthly_verification_limit": 1
}
'import requests
url = "https://api.example.com/v2/kyb/settings"
payload = {
"website_analysis_enabled": True,
"naics_prediction_enabled": True,
"lien_search_enabled": True,
"monthly_verification_limit": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
website_analysis_enabled: true,
naics_prediction_enabled: true,
lien_search_enabled: true,
monthly_verification_limit: 1
})
};
fetch('https://api.example.com/v2/kyb/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"website_analysis_enabled": true,
"naics_prediction_enabled": true,
"lien_search_enabled": true,
"monthly_verification_limit": 123,
"verifications_used": 0,
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}kyb
Put Settings
Update KYB Settings
Configure which KYB features are enabled for the organization. Only provided fields are updated; omitted fields remain unchanged. Requires admin access.
PUT
/
v2
/
kyb
/
settings
Put Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
KYB configuration for the organization.
Include website discovery and analysis in KYB verifications.
Include industry (NAICS) prediction in KYB verifications.
Include UCC lien search in KYB verifications.
Maximum number of KYB verifications allowed per calendar month.
String representing the object's type. Objects of the same type share the same value.
